Package org.eclipse.graphiti.ui.internal.config

# Class ConfigurationProvider

java.lang.Object
org.eclipse.graphiti.ui.internal.config.ConfigurationProvider

All Implemented Interfaces:
  `IFeatureProviderHolder`, `IConfigurationProviderInternal`, `IResourceRegistryHolder`, `IConfigurationProvider`

public class ConfigurationProvider extends Object implements IConfigurationProviderInternal
A concrete implementation of the interface IConfigurationProviderInternal

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationProvider(DiagramBehavior diagramBehavior, IDiagramTypeProvider diagramTypeProvider)`
The Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Disposes this object and frees all resources.
`IContextButtonManager`
`getContextButtonManager()`
`Diagram`
`getDiagram()`
Returns the Diagram-Model to display.
`DiagramBehavior`
`getDiagramBehavior()`
Returns the associated behavior object.
`IDiagramContainerUI`
`getDiagramContainer()`
Gets the diagram container.
`IDiagramContainerUI`
`getDiagramEditor()`
`IDiagramTypeProvider`
`getDiagramTypeProvider()`
Gets the diagram type provider.
`IEditPartFactory`
`getEditPartFactory()`
Returns the IEditPartFactory of this Model.
`IEditPolicyFactory`
`getEditPolicyFactory()`
Returns the IEditPolicyFactory of this Model.
`IFeatureProvider`
`getFeatureProvider()`
Gets the feature provider.
`IResourceRegistry`
`getResourceRegistry()`
Provides the resource registry.
`org.eclipse.ui.IWorkbenchPart`
`getWorkbenchPart()`
Returns the workbench-part of this configuration-provider.
`boolean`
`isDisposed()`
Returns true, if this object is already disposed.
`void`
`setContextButtonManager(IContextButtonManager contextButtonManager)`
`void`
`setWorkbenchPart(org.eclipse.ui.IWorkbenchPart workbenchPart)`
Sets the workbench-part of this configuration-provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationProvider

public ConfigurationProvider(DiagramBehavior diagramBehavior, IDiagramTypeProvider diagramTypeProvider)
The Constructor.

Parameters:
  `diagramTypeProvider` - the diagram type provider
  `diagramEditor` - the diagram editor

## Method Details

### dispose

public void dispose()
Description copied from interface: `IConfigurationProvider`
Disposes this object and frees all resources. This object will be unusable afterwards.

Specified by:
  `dispose` in interface `IConfigurationProvider`

### isDisposed

public boolean isDisposed()
Description copied from interface: `IConfigurationProvider`
Returns true, if this object is already disposed.

Specified by:
  `isDisposed` in interface `IConfigurationProvider`
Returns:
  true, if this object is already disposed.

### getContextButtonManager

public IContextButtonManager getContextButtonManager()

Specified by:
  `getContextButtonManager` in interface `IConfigurationProviderInternal`

### setContextButtonManager

public void setContextButtonManager(IContextButtonManager contextButtonManager)

Specified by:
  `setContextButtonManager` in interface `IConfigurationProviderInternal`

### getEditPolicyFactory

public IEditPolicyFactory getEditPolicyFactory()
Description copied from interface: `IConfigurationProviderInternal`
Returns the IEditPolicyFactory of this Model.

Specified by:
  `getEditPolicyFactory` in interface `IConfigurationProviderInternal`
Returns:
  The IEditPolicyFactory of this Model.

### getEditPartFactory

public IEditPartFactory getEditPartFactory()
Description copied from interface: `IConfigurationProviderInternal`
Returns the IEditPartFactory of this Model.

Specified by:
  `getEditPartFactory` in interface `IConfigurationProviderInternal`
Returns:
  The IEditPartFactory of this Model.

### setWorkbenchPart

public void setWorkbenchPart(org.eclipse.ui.IWorkbenchPart workbenchPart)
Description copied from interface: `IConfigurationProvider`
Sets the workbench-part of this configuration-provider. This method should be called, when a workbench-part is available for the configuration-provider. After setting the workbench-part it must not be changed again.

However, it must not be assumed, that this method is ever called. So the workbench-part might always be null. It is just an offer, to support possible further functionality.

Specified by:
  `setWorkbenchPart` in interface `IConfigurationProvider`
Parameters:
  `workbenchPart` - The workbench-part to set.

### getWorkbenchPart

public org.eclipse.ui.IWorkbenchPart getWorkbenchPart()
Description copied from interface: `IConfigurationProvider`
Returns the workbench-part of this configuration-provider. Can return null.

Specified by:
  `getWorkbenchPart` in interface `IConfigurationProvider`
Returns:
  The workbench-part of this configuration-provider. Can return null.

### getDiagramEditor

public IDiagramContainerUI getDiagramEditor()

### getDiagramContainer

public IDiagramContainerUI getDiagramContainer()
Description copied from interface: `IConfigurationProvider`
Gets the diagram container.

Specified by:
  `getDiagramContainer` in interface `IConfigurationProvider`
Returns:
  the container which is connected with this configuration-provider

### getDiagramBehavior

public DiagramBehavior getDiagramBehavior()
Description copied from interface: `IConfigurationProvider`
Returns the associated behavior object.

Specified by:
  `getDiagramBehavior` in interface `IConfigurationProvider`
Returns:
  The associated instance of `DiagramBehavior`.

### getDiagram

public Diagram getDiagram()
Description copied from interface: `IConfigurationProvider`
Returns the Diagram-Model to display.

Specified by:
  `getDiagram` in interface `IConfigurationProvider`
Returns:
  The Diagram-Model to display.

### getDiagramTypeProvider

public IDiagramTypeProvider getDiagramTypeProvider()
Gets the diagram type provider.

Specified by:
  `getDiagramTypeProvider` in interface `IConfigurationProvider`
Returns:
  Returns the diagramTypeProvider.

### getFeatureProvider

public IFeatureProvider getFeatureProvider()
Description copied from interface: `IFeatureProviderHolder`
Gets the feature provider.

Specified by:
  `getFeatureProvider` in interface `IFeatureProviderHolder`
Returns:
  the feature provider

### getResourceRegistry

public IResourceRegistry getResourceRegistry()
Description copied from interface: `IResourceRegistryHolder`
Provides the resource registry.

Specified by:
  `getResourceRegistry` in interface `IResourceRegistryHolder`
Returns:
  the resource registry
See Also:
  - `IResourceRegistry`